summaryrefslogtreecommitdiffstats
path: root/dcop/dcopidlng/run_test.sh
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /dcop/dcopidlng/run_test.sh
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'dcop/dcopidlng/run_test.sh')
-rwxr-xr-xdcop/dcopidlng/run_test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/dcop/dcopidlng/run_test.sh b/dcop/dcopidlng/run_test.sh
new file mode 100755
index 000000000..bfa3aa8b3
--- /dev/null
+++ b/dcop/dcopidlng/run_test.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Regression testing: generate .kidl out of dcopidl_test.h and compare with expected baseline
+# Usage: $srcdir/run_test.sh $srcdir
+
+srcdir="$1"
+builddir=`pwd`
+# Make a symlink in dcopidlng's builddir, to have "./dcopidl_test.h" in the kidl
+test -f dcopidl_test.h || ln -s $srcdir/../dcopidl/dcopidl_test.h .
+# Note that dcopidlng might not be installed yet, so we can't use the dcopidlng script
+# (which looks into kde's datadir)
+dcopidlng="perl -I$srcdir $srcdir/kalyptus --allow_k_dcop_accessors -f dcopidl"
+$dcopidlng ./dcopidl_test.h > $builddir/dcopidl_new_output.kidl || exit 1
+diff -u $srcdir/../dcopidl/dcopidl_output.kidl $builddir/dcopidl_new_output.kidl